require 'common/runner'

class RmDummyRunner
  include Runner

  def run(plugin, *targets)
    targets.each do |target|
      if target.include?('@') then
        puts "Would remove account: #{target}"
        # TODO: remove from postfixadmin as well.
      else
        usernames = plugin.get_domain_usernames(target)
        usernames.each { |u| run(plugin, u) }

        puts "Would remove domain: #{target}"
        # TODO: remove from postfixadmin as well.
      end
    end

  end

end
